Bug 182062 - Glob failure halts logrorate and stops further processing
Summary: Glob failure halts logrorate and stops further processing
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: logrotate (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-20 01:59 UTC by Ryan Curtis
Modified: 2009-06-10 06:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 12:17:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ryan Curtis 2006-02-20 01:59:58 UTC
Description of problem:
Glob error halts logrotate even if missingok is specified

Version-Release number of selected component (if applicable):
logrotate-3.7.1-10

How reproducible:
Always reproducible

Steps to Reproduce:
1. Create file logrotatetest.conf with these contents:

/var/log/snort/*/*kumquat  {
    daily
    rotate 7
    missingok
}


2. Run logrotate on this config file:

logrorate logrotatetest.conf

  
Actual results:
Logrotate command fails with this output:
error: error accessing /var/log/snort/*: No such file or directory
error: test1:2 glob failed for /var/log/snort/*/*kumquat

When run normally and this error occurs in a file in /etc/logrotate.d, all
processing of files stops, and logs are not rotated.

Expected results:
Logrotate treats failed glob as a missing logfile and completes silently.  When
run normally and a glob failure occurs, other files in /etc/logrotate.d should
be processed.


Additional info:

Comment 1 Tom Sightler 2006-05-05 21:52:27 UTC
This is a pretty major bug.  A simple case of attempting to rotate logs in a
directory that doesn't exist can lead to a complete, and mostly silent, failure
of all log rotation on the system.

Some services (for example Squid) will crash if they run out of log space and
with log rotate silently failing it happened to us recently.  I'll admit that we
should have been monitoring free space on the /var mount point, however, this
system has run for years without issues and suddenly a failed glob was keeping
logs from rotating.  This particular system can generate a lot of logs in burst,
but normally logrotate deals with this and compresses them nicely keeping plenty
of space.  A silent failure for more than three weeks led to down time.

Any hope that this will be fixed soon?

Later,
Tom

Comment 2 Jan Cholasta 2006-08-25 15:12:36 UTC
Fixed, see #166510.


Comment 3 Christian Iseli 2007-01-20 01:02:17 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 4 Ryan Curtis 2007-01-21 22:20:20 UTC
Done.  I still see this bug in FC6.  None of my logs have rotated since Apr 06,
due to this bug.

--Ryan

Comment 5 Peter Vrabec 2007-01-23 12:17:21 UTC
fixed in:
FC6(testing) logrotate-3.7.4-10.fc6,
rawhide logrotate-3.7.4-11.fc7.

test it, please.


Comment 6 Stephen John Smoogen 2009-06-09 20:42:37 UTC
Have run into what looks like this bug in RHEL-5 also. Should I open a new bug or switch this to RHEL-5?


Note You need to log in before you can comment on or make changes to this bug.